#include<bits/stdc++.h>

using namespace std;
int main()
{
	int n;
	int k;
	ifstream f1("BAI1.INP");
	ofstream f2("BAI1.OUT");
	f1>>n>>k;
	int dem=0;
	int count=0;
	for(int i=1;i<=n;i++)
	{
		for(int j=1;j<=i;j++)
		{
			if(i%j==0)
			{
				dem++;
			}
				if (dem==k)
			{
				count++;
			}	
		}
	}
	f2<<count;
	f1.close();
	f2.close();
}
